Bug 104155 - [PATCH] enable optional FLAC support for multimedia/audacious
Summary: [PATCH] enable optional FLAC support for multimedia/audacious
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-08 12:10 UTC by rsmith
Modified: 2006-10-31 08:36 UTC (History)
0 users

See Also:


Attachments
file.diff (1.12 KB, patch)
2006-10-08 12:10 UTC, rsmith
no flags Details | Diff
file.diff (435 bytes, patch)
2006-10-08 12:10 UTC, rsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsmith 2006-10-08 12:10:21 UTC
	FLAC support in multimedia/audacious is currently disabled.

Fix: Apply the following patches to the port Makefile and plist. They make FLAC
an optional dependency. 

Note that this also fixes a typo in CONFIGURE_ARGS; '--disable-flc' should
be '--disable-flac', according to the configure script for audacious.

---------- Makefile patch ----------
---------- pkg-plist patch ----------
How-To-Repeat: 	cd /usr/ports/multimedia/audacious; make config install clean
Comment 1 Edwin Groothuis freebsd_committer 2006-10-08 12:10:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Sam Lawrance freebsd_committer 2006-10-08 12:31:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Looking at audacious lately.  Take it.
Comment 3 Sam Lawrance freebsd_committer 2006-10-15 13:51:35 UTC
Roland,

This change will have to wait until after the ports freeze.

Cheers
Sam
Comment 4 dfilter service freebsd_committer 2006-10-31 08:28:08 UTC
lawrance    2006-10-31 08:28:03 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/audacious Makefile pkg-plist 
  Log:
  Add a port option to build with FLAC support.
  
  PR:             ports/104155
  Submitted by:   Roland Smith <rsmith@xs4all.nl>
  Approved by:    Stepan Zastupov <redchrom@gmail.com> (maintainer, timeout 3 weeks)
  
  Revision  Changes    Path
  1.20      +12 -2     ports/multimedia/audacious/Makefile
  1.15      +1 -0      ports/multimedia/audacious/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Sam Lawrance freebsd_committer 2006-10-31 08:35:51 UTC
State Changed
From-To: feedback->closed

Committed, thanks!